## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.ThumbnailComponentListener

    java.lang.Object
      java.awt.event.ComponentAdapter
          org.apache.batik.apps.svgbrowser.ThumbnailDialog.ThumbnailComponentListener

All Implemented Interfaces:
  java.awt.event.ComponentListener, java.util.EventListener

Enclosing class:
  ThumbnailDialog

protected class ThumbnailDialog.ThumbnailComponentListener
extends java.awt.event.ComponentAdapter

Used to allow the SVG document being displayed by the thumbnail to be resized properly.

Constructor Summary
`protected` `ThumbnailDialog.ThumbnailComponentListener()`

Method Summary
`void` `componentResized(java.awt.event.ComponentEvent e)`

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThumbnailDialog.ThumbnailComponentListener

    protected ThumbnailDialog.ThumbnailComponentListener()

Method Detail

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.